GDBserver

Macros | Functions | Variables
signals.c File Reference
`#include "common-defs.h"`
`#include "gdb_signals.h"`
`#include "gdb/signals.def"`

Go to the source code of this file.

## Macros
#define | SET(symbol, constant, name, string) { #symbol, name, string },

## Functions
const char * | gdb_signal_to_symbol_string (enum gdb_signal sig)
const char * | gdb_signal_to_string (enum gdb_signal sig)
const char * | gdb_signal_to_name (enum gdb_signal sig)
enum gdb_signal | gdb_signal_from_name (const char *name)
enum gdb_signal | gdb_signal_from_host (int hostsig)
static int | do_gdb_signal_to_host (enum gdb_signal oursig, int *oursig_ok)
int | gdb_signal_to_host_p (enum gdb_signal oursig)
int | gdb_signal_to_host (enum gdb_signal oursig)

## Variables
struct {
const char * symbol
const char * name
const char * string
} | signals []

## Macro Definition Documentation

## ◆ SET

#define SET | ( |  | symbol,
|  |  | constant,
|  |  | name,
|  |  | string
| ) |  | { #symbol, name, string },

## Function Documentation

## ◆ do_gdb_signal_to_host()

static int do_gdb_signal_to_host | ( | enum gdb_signal | oursig,
|  | int * | oursig_ok
| ) |  |
| static

Definition at line 366 of file signals.c.

Referenced by gdb_signal_to_host(), and gdb_signal_to_host_p().

## ◆ gdb_signal_from_host()

enum gdb_signal gdb_signal_from_host | ( | int | hostsig | ) |

Definition at line 116 of file signals.c.

References _, and error().

Referenced by get_detach_signal(), linux_wait_1(), lynx_wait_1(), mark_lwp_dead(), nto_wait(), spu_wait(), and win32_resume().

## ◆ gdb_signal_from_name()

enum gdb_signal gdb_signal_from_name | ( | const char * | name | ) |

Definition at line 91 of file signals.c.

References name, and signals.

## ◆ gdb_signal_to_host()

int gdb_signal_to_host | ( | enum gdb_signal | oursig | ) |

Definition at line 639 of file signals.c.

References _, do_gdb_signal_to_host(), gdb_signal_to_name(), and warning().

Referenced by handle_v_cont(), linux_stabilize_threads(), mywait(), process_serial_event(), and target_continue().

## ◆ gdb_signal_to_host_p()

int gdb_signal_to_host_p | ( | enum gdb_signal | oursig | ) |

Definition at line 631 of file signals.c.

References do_gdb_signal_to_host().

Referenced by handle_v_cont(), and process_serial_event().

## ◆ gdb_signal_to_name()

const char* gdb_signal_to_name | ( | enum gdb_signal | sig | ) |

Definition at line 78 of file signals.c.

References GDB_SIGNAL_FIRST, name, and signals.

Referenced by gdb_signal_to_host(), mywait(), and startup_inferior().

## ◆ gdb_signal_to_string()

const char* gdb_signal_to_string | ( | enum gdb_signal | sig | ) |

Definition at line 68 of file signals.c.

References GDB_SIGNAL_FIRST, and signals.

Referenced by get_detach_signal(), startup_inferior(), and win32_resume().

## ◆ gdb_signal_to_symbol_string()

const char* gdb_signal_to_symbol_string | ( | enum gdb_signal | sig | ) |

Definition at line 59 of file signals.c.

References gdb_assert, GDB_SIGNAL_FIRST, and signals.

## Variable Documentation

## ◆ name

const char* name

Definition at line 49 of file signals.c.

Referenced by gdb_signal_from_name(), and gdb_signal_to_name().

## ◆ signals

const { ... } signals[]

Referenced by gdb_signal_from_name(), gdb_signal_to_name(), gdb_signal_to_string(), and gdb_signal_to_symbol_string().

## ◆ string

const char* string

Definition at line 50 of file signals.c.

Referenced by bin2hex(), buffer_xml_printf(), create_process(), fork_inferior(), format_pieces::format_pieces(), gdb_tilde_expand(), handle_general_set(), handle_qxfer_libraries(), hex2str(), execv_argv::init_for_no_shell(), execv_argv::init_for_shell(), linux_create_inferior(), linux_qxfer_libraries_svr4(), linux_wait_1(), lynx_create_inferior(), nto_create_inferior(), queue_stop_reply_callback(), selftests::run_tests(), gdb_environ::set(), spu_create_inferior(), string_printf(), string_vprintf(), stringify_argv(), tdesc_get_features_xml(), gdb_environ::unset(), win32_create_inferior(), and xml_escape_text().

## ◆ symbol

const char* symbol

Definition at line 48 of file signals.c.